Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.ls
Interface LSProgressEvent

All Superinterfaces:
  Event

public interface LSProgressEvent
extends Event

DOM Level 3 WD Experimental: The DOM Level 3 specification is at the stage of Working Draft, which represents work in progress and thus may be updated, replaced, or obsoleted by other documents at any time.

This interface represents a progress event object that notifies the application about progress as a document is parsed. It extends the `Event` interface defined in .

See also the Document Object Model (DOM) Level 3 Load and Save Specification.

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`DOMInputSource` | `getInputSource()` The input source that is being parsed.
`int` | `getPosition()` The current position in the input source, including all external entities and other resources that have been read.
`int` | `getTotalSize()` The total size of the document including all external resources, this number might change as a document is being parsed if references to more external resources are seen.

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Method Detail

### getInputSource

    public DOMInputSource getInputSource()

  The input source that is being parsed.

### getPosition

    public int getPosition()

  The current position in the input source, including all external entities and other resources that have been read.

### getTotalSize

    public int getTotalSize()

  The total size of the document including all external resources, this number might change as a document is being parsed if references to more external resources are seen.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.